Bug 924690 (CVE-2013-2635) - CVE-2013-2635 kernel: Information leak in the RTNETLINK component
Summary: CVE-2013-2635 kernel: Information leak in the RTNETLINK component
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2635
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 923657 923659 923660 923661 923662
Blocks: 858947
TreeView+ depends on / blocked
 
Reported: 2013-03-22 10:49 UTC by Jan Lieskovsky
Modified: 2021-02-17 07:53 UTC (History)
26 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-09 18:04:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0829 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2013:1051 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 22:22:03 UTC
Red Hat Product Errata RHSA-2013:1080 0 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-07-16 21:21:21 UTC

Description Jan Lieskovsky 2013-03-22 10:49:24 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-2635 to the following vulnerability:

The rtnl_fill_ifinfo function in net/core/rtnetlink.c in the Linux kernel before 3.8.4 does not initialize a certain structure member, which allows local users to obtain sensitive information from kernel stack memory via a crafted application.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-2635
[2] http://www.openwall.com/lists/oss-security/2013/03/20/1
[3] http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=84d73cd3fb142bf1298a8c13fd4ca50fd2432372
[4] http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.8.4
[5] https://bugzilla.redhat.com/show_bug.cgi?id=923652
[6] https://github.com/torvalds/linux/commit/84d73cd3fb142bf1298a8c13fd4ca50fd2432372

Comment 1 Petr Matousek 2013-03-22 11:44:34 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue does affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this
issue.

Comment 3 Petr Matousek 2013-03-22 11:45:01 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 923662]

Comment 4 errata-xmlrpc 2013-05-20 16:54:23 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 5 errata-xmlrpc 2013-07-16 17:29:04 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1080 https://rhn.redhat.com/errata/RHSA-2013-1080.html

Comment 6 errata-xmlrpc 2013-07-16 18:27:28 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1051 https://rhn.redhat.com/errata/RHSA-2013-1051.html


Note You need to log in before you can comment on or make changes to this bug.